<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>JPEG (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="JPEG (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/JPEG.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/blip/EMF.html" title="class in org.apache.poi.hslf.blip"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/blip/JPEG.ColorSpace.html"
               title="enum in org.apache.poi.hslf.blip"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/blip/JPEG.html" target="_top">Frames</a></li>
        <li><a href="JPEG.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hslf.usermodel.HSLFPictureData">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hslf.blip</div>
    <h2 title="Class JPEG" class="title">Class JPEG</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                       title="class in org.apache.poi.hslf.usermodel">org.apache.poi.hslf.usermodel.HSLFPictureData</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/hslf/blip/Bitmap.html"
                               title="class in org.apache.poi.hslf.blip">org.apache.poi.hslf.blip.Bitmap</a></li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.hslf.blip.JPEG</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                           title="interface in org.apache.poi.sl.usermodel">PictureData</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">JPEG</span>
extends <a href="../../../../../org/apache/poi/hslf/blip/Bitmap.html"
           title="class in org.apache.poi.hslf.blip">Bitmap</a></pre>
                <div class="block">Represents a JPEG picture data in a PPT file</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Class and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/blip/JPEG.ColorSpace.html"
                                        title="enum in org.apache.poi.hslf.blip">JPEG.ColorSpace</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.sl.usermodel.PictureData">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                        title="interface in org.apache.poi.sl.usermodel">PictureData</a></h3>
                                <code><a href="../../../../../org/apache/poi/sl/usermodel/PictureData.PictureType.html"
                                         title="enum in org.apache.poi.sl.usermodel">PictureData.PictureType</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hslf.usermodel.HSLFPictureData">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hslf.usermodel.<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#CHECKSUM_SIZE">CHECKSUM_SIZE</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/blip/JPEG.html#JPEG--">JPEG</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/blip/JPEG.ColorSpace.html"
                                        title="enum in org.apache.poi.hslf.blip">JPEG.ColorSpace</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/blip/JPEG.html#getColorSpace--">getColorSpace</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/blip/JPEG.html#getSignature--">getSignature</a></span>()</code>
                                    <div class="block">JPEG signature is one of <code>0x46A0, 0x46B0, 0x6E20,
                                        0x6E30</code></div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.PictureType.html"
                                        title="enum in org.apache.poi.sl.usermodel">PictureData.PictureType</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/blip/JPEG.html#getType--">getType</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/blip/JPEG.html#setColorSpace-org.apache.poi.hslf.blip.JPEG.ColorSpace-">setColorSpace</a></span>(<a
                                        href="../../../../../org/apache/poi/hslf/blip/JPEG.ColorSpace.html"
                                        title="enum in org.apache.poi.hslf.blip">JPEG.ColorSpace</a>&nbsp;colorSpace)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/blip/JPEG.html#setSignature-int-">setSignature</a></span>(int&nbsp;signature)</code>
                                    <div class="block">Sets the PICT signature - either <code>0x5420</code> or <code>0x5430</code>
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hslf.blip.Bitmap">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hslf.blip.<a
                                        href="../../../../../org/apache/poi/hslf/blip/Bitmap.html"
                                        title="class in org.apache.poi.hslf.blip">Bitmap</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hslf/blip/Bitmap.html#getData--">getData</a>,
                                    <a href="../../../../../org/apache/poi/hslf/blip/Bitmap.html#getImageDimension--">getImageDimension</a>,
                                    <a href="../../../../../org/apache/poi/hslf/blip/Bitmap.html#setData-byte:A-">setData</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hslf.usermodel.HSLFPictureData">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hslf.usermodel.<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#create-org.apache.poi.sl.usermodel.PictureData.PictureType-">create</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#getChecksum--">getChecksum</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#getChecksum-byte:A-">getChecksum</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#getContentType--">getContentType</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#getHeader--">getHeader</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#getImageDimensionInPixels--">getImageDimensionInPixels</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#getIndex--">getIndex</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#getOffset--">getOffset</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#getRawData--">getRawData</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#getUID--">getUID</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#getUIDInstanceCount--">getUIDInstanceCount</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#setIndex-int-">setIndex</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#setOffset-int-">setOffset</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#setRawData-byte:A-">setRawData</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#setUIDInstanceCount-int-">setUIDInstanceCount</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#write-java.io.OutputStream-">write</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="JPEG--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>JPEG</h4>
                                <pre>public&nbsp;JPEG()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getType</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.PictureType.html"
                                        title="enum in org.apache.poi.sl.usermodel">PictureData.PictureType</a>&nbsp;getType()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the picture type</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getColorSpace--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getColorSpace</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hslf/blip/JPEG.ColorSpace.html"
                                                    title="enum in org.apache.poi.hslf.blip">JPEG.ColorSpace</a>&nbsp;getColorSpace()</pre>
                            </li>
                        </ul>
                        <a name="setColorSpace-org.apache.poi.hslf.blip.JPEG.ColorSpace-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setColorSpace</h4>
                                <pre>public&nbsp;void&nbsp;setColorSpace(<a
                                        href="../../../../../org/apache/poi/hslf/blip/JPEG.ColorSpace.html"
                                        title="enum in org.apache.poi.hslf.blip">JPEG.ColorSpace</a>&nbsp;colorSpace)</pre>
                            </li>
                        </ul>
                        <a name="getSignature--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSignature</h4>
                                <pre>public&nbsp;int&nbsp;getSignature()</pre>
                                <div class="block">JPEG signature is one of <code>0x46A0, 0x46B0, 0x6E20, 0x6E30</code>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#getSignature--">getSignature</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>JPEG signature (<code>0x46A0, 0x46B0, 0x6E20, 0x6E30</code>)</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setSignature-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setSignature</h4>
                                <pre>public&nbsp;void&nbsp;setSignature(int&nbsp;signature)</pre>
                                <div class="block">Sets the PICT signature - either <code>0x5420</code> or
                                    <code>0x5430</code></div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#setSignature-int-">setSignature</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/JPEG.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/blip/EMF.html" title="class in org.apache.poi.hslf.blip"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/blip/JPEG.ColorSpace.html"
               title="enum in org.apache.poi.hslf.blip"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/blip/JPEG.html" target="_top">Frames</a></li>
        <li><a href="JPEG.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hslf.usermodel.HSLFPictureData">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
